Subject: Re: [PATCH] bnx2x: avoid atomic allocations during initialization

From: Michal Schmidt <[email-masked]>
Date: Mon, 09 Sep 2013 14:20:03 +0200

On 09/07/2013 03:45 AM, Dmitry Kravkov wrote:
> Once you allocated the memory during initialization , you will most
> probably fail to allocate its replacement during RX handling (on this
> machine).

Why do you think this would happen "most probably"? I would instead
expect the VM subsystem to respond to the memory pressure created by the
initial GFP_KERNEL allocations by freeing some memory to allow the
future atomic allocations to succeed.

Michal